package com.pj.ht_pass_card_record;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: ht_pass_card_record -- 过卡记录表
 * @author yzs 
 */
@RestController
@RequestMapping("/HtPassCardRecord/")
public class HtPassCardRecordController {

	/** 底层 Service 对象 */
	@Autowired
	HtPassCardRecordService htPassCardRecordService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(HtPassCardRecord.PERMISSION_CODE_ADD)
	public AjaxJson add(HtPassCardRecord h){
		htPassCardRecordService.add(h);
		h = htPassCardRecordService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(h);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(HtPassCardRecord.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 htPassCardRecordService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(HtPassCardRecord.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(HtPassCardRecord.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(HtPassCardRecord.PERMISSION_CODE_EDIT)
	public AjaxJson update(HtPassCardRecord h){
		htPassCardRecordService.update(h);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(HtPassCardRecord.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		HtPassCardRecord h = htPassCardRecordService.getById(id);
		return AjaxJson.getSuccessData(h);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(HtPassCardRecord.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<HtPassCardRecord> list = htPassCardRecordService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
